VST 3 Examples VST 3.7 SDK for developing VST plug-in

Functions | Variables
againaax.cpp File Reference
`#include "public.sdk/source/vst/aaxwrapper/aaxwrapper_description.h"`
`#include "againcids.h"`
`#include "againparamids.h"`
`#include "pluginterfaces/base/futils.h"`

## Functions
AAX_Effect_Desc * | AAXWrapper_GetDescription ()

## Variables
AAX_MIDI_Desc | effMIDI []
AAX_Meter_Desc | effMeters []
AAX_Plugin_Desc | effPlugins []
AAX_Effect_Desc | effDesc
int * | forceLinkAAXWrapper = &AAXWrapper_linkAnchor

## Function Documentation

## ◆ AAXWrapper_GetDescription()

AAX_Effect_Desc * AAXWrapper_GetDescription | ( |  | ) |

## Variable Documentation

## ◆ effMIDI

AAX_MIDI_Desc effMIDI[]

Initial value:
=
{
{ "AGain", 0xffff },
{ nullptr }
}

## ◆ effMeters

AAX_Meter_Desc effMeters[]

Initial value:
=
{
{ "Output", kVuPPMId, 0 , 1 },
{ nullptr }
}
kVuPPMId
@ kVuPPMId
for the Vu value return to host (ReadOnly parameter for our UI)
Definition: againparamids.h:43

## ◆ effPlugins

AAX_Plugin_Desc effPlugins[]

Initial value:
= {
{"com.steinberg.again.mono",
"AGain",
CCONST ('A', 'G', 'N', '1'),
CCONST ('A', 'G', 'A', '1'),
1,
1,
0,
effMIDI,
nullptr,
effMeters,
0
},
{"com.steinberg.again.stereo",
"AGain",
CCONST ('A', 'G', 'N', '2'),
CCONST ('A', 'G', 'A', '2'),
2,
2,
0,
effMIDI,
nullptr,
effMeters,
0
},
{nullptr}
}
effMeters
AAX_Meter_Desc effMeters[]
Definition: againaax.cpp:65
effMIDI
AAX_MIDI_Desc effMIDI[]
Definition: againaax.cpp:55
CCONST
#define CCONST(a, b, c, d)

## ◆ effDesc

AAX_Effect_Desc effDesc

Initial value:
= {
"Steinberg",
"AGain",
CCONST ('S', 'M', 'T', 'G'),
CCONST ('A', 'G', 'S', 'B'),
AGainVST3Category,
{0},
1,
nullptr,
effPlugins,
}
effPlugins
AAX_Plugin_Desc effPlugins[]
Definition: againaax.cpp:73
AGainVST3Category
#define AGainVST3Category
Definition: againcids.h:49

## ◆ forceLinkAAXWrapper

int* forceLinkAAXWrapper = &AAXWrapper_linkAnchor

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.